package com.ruoyi.device.service;

import java.util.List;
import com.ruoyi.device.domain.BaseType;

/**
 * 设备类型维护Service接口
 * 
 * @author ruoyi
 * @date 2025-05-19
 */
public interface IBaseTypeService 
{
    /**
     * 查询设备类型维护
     * 
     * @param objId 设备类型维护主键
     * @return 设备类型维护
     */
    public BaseType selectBaseTypeByObjId(Long objId);

    /**
     * 查询设备类型维护列表
     * 
     * @param baseType 设备类型维护
     * @return 设备类型维护集合
     */
    public List<BaseType> selectBaseTypeList(BaseType baseType);

    /**
     * 新增设备类型维护
     * 
     * @param baseType 设备类型维护
     * @return 结果
     */
    public int insertBaseType(BaseType baseType);

    /**
     * 修改设备类型维护
     * 
     * @param baseType 设备类型维护
     * @return 结果
     */
    public int updateBaseType(BaseType baseType);

    /**
     * 批量删除设备类型维护
     * 
     * @param objIds 需要删除的设备类型维护主键集合
     * @return 结果
     */
    public int deleteBaseTypeByObjIds(String objIds);

    /**
     * 删除设备类型维护信息
     * 
     * @param objId 设备类型维护主键
     * @return 结果
     */
    public int deleteBaseTypeByObjId(Long objId);

    boolean checkDeviceTypeName(BaseType baseType);
}
